Module __builtin__ :: Class property

[frames | no frames]

## Type property

    object --+
             |
            property

    property(fget=None, fset=None, fdel=None, doc=None) -> property attribute

    fget is a function to be used for getting an attribute value, and likewise
    fset is a function for setting, and fdel a function for del'ing, an
    attribute.  Typical use is to define a managed attribute x:
    class C(object):
        def getx(self): return self.__x
        def setx(self, value): self.__x = value
        def delx(self): del self.__x
        x = property(getx, setx, delx, "I'm the 'x' property.")

Method Summary
| ``__init__`(...)` x.__init__(...) initializes x; see x.__class__.__doc__ for signature
| `__delete__(descr, obj)`
| `__get__(descr, obj, type)` Return value...
| ``__getattribute__`(...)` x.__getattribute__('name') <==> x.name
| `__new__(T, S, ...)` Return a new object with type S, a subtype of T...
| `__set__(descr, obj, value)`

Class Variable Summary
`member_descriptor` | `fdel` = `<member 'fdel' of 'property' objects>`
`member_descriptor` | `fget` = `<member 'fget' of 'property' objects>`
`member_descriptor` | `fset` = `<member 'fset' of 'property' objects>`

Method Details

### __init__(...)
(Constructor)

x.__init__(...) initializes x; see x.__class__.__doc__ for signature

  Overrides:
    `__builtin__.object.__init__`

### __getattribute__(...)

x.__getattribute__('name') <==> x.name

  Overrides:
    `__builtin__.object.__getattribute__`

Class Variable Details

### fdel

  Type:
    `member_descriptor`
  Value:

        <member 'fdel' of 'property' objects>

### fget

  Type:
    `member_descriptor`
  Value:

        <member 'fget' of 'property' objects>

### fset

  Type:
    `member_descriptor`
  Value:

        <member 'fset' of 'property' objects>

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:52:14 2009 | http://epydoc.sf.net